Get a custom instruction
curl --request GET \
--url https://api.deepl.com/v3/style_rules/{style_id}/custom_instructions/{instruction_id} \
--header 'Authorization: <api-key>'{
"id": "68fdb803-c013-4e67-b62e-1aad0ab519cd",
"label": "Currency custom instruction",
"prompt": "Have currency symbols before the numerical value (e.g. $100, €100)",
"source_language": "en"
}{
"message": "<string>",
"code": "invalid_content_type"
}{
"message": "<string>",
"code": "invalid_content_type"
}{
"message": "<string>",
"code": "invalid_content_type"
}{
"message": "<string>",
"code": "invalid_content_type"
}{
"message": "<string>",
"code": "invalid_content_type"
}{
"message": "<string>",
"code": "invalid_content_type"
}{
"message": "<string>",
"code": "invalid_content_type"
}Style Rules
Get a custom instruction
Retrieve a single custom instruction from a style rule list by its instruction ID.
GET
/
v3
/
style_rules
/
{style_id}
/
custom_instructions
/
{instruction_id}
Get a custom instruction
curl --request GET \
--url https://api.deepl.com/v3/style_rules/{style_id}/custom_instructions/{instruction_id} \
--header 'Authorization: <api-key>'{
"id": "68fdb803-c013-4e67-b62e-1aad0ab519cd",
"label": "Currency custom instruction",
"prompt": "Have currency symbols before the numerical value (e.g. $100, €100)",
"source_language": "en"
}{
"message": "<string>",
"code": "invalid_content_type"
}{
"message": "<string>",
"code": "invalid_content_type"
}{
"message": "<string>",
"code": "invalid_content_type"
}{
"message": "<string>",
"code": "invalid_content_type"
}{
"message": "<string>",
"code": "invalid_content_type"
}{
"message": "<string>",
"code": "invalid_content_type"
}{
"message": "<string>",
"code": "invalid_content_type"
}Authorizations
Path Parameters
Response
Custom instruction details
All enabled custom instructions for the style rule list